0

I have Fedora 22 XFCE in Oracle VM, yesterday I tried installing skype-4.3.0.37-fedora.i586.rpm, this tried upgraded many of the packages from example: upgraded from glibc-2.21-13.fc22.x86_64 to glibc-2.21-13.fc22.i686mentioned below dnf log. After this upgradation of multiple packages. dnf, yum, rpm got crashed and I keep getting Aborted (core dumped) error for dnf, yum, rpm any of the commands.

Please suggest how to fix this Aborted (core dumped) error.

 
[rbeli@localhost log]$ dnf update
Aborted (core dumped)
[rbeli@localhost log]$ yum update
Yum command has been deprecated, redirecting to '/usr/bin/dnf update'.
See 'man dnf' and 'man yum2dnf' for more information.
To transfer transaction metadata from yum to DNF, run:
'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

Aborted (core dumped)
[rbeli@localhost log]$ yum history
Yum command has been deprecated, redirecting to '/usr/bin/dnf history'.
See 'man dnf' and 'man yum2dnf' for more information.
To transfer transaction metadata from yum to DNF, run:
'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

Aborted (core dumped)
[rbeli@localhost log]$ 

Refered: https://bugzilla.redhat.com/show_bug.cgi?id=1315811

vi /var/log/dnf.rpm.log
Apr 26 14:30:19 INFO --- logging initialized ---
Apr 26 14:36:42 INFO --- logging initialized ---
Apr 26 14:40:55 INFO Upgraded: libgcc-5.3.1-6.fc22.x86_64
Apr 26 14:40:56 INFO Upgraded: nss-softokn-freebl-3.23.0-1.0.fc22.x86_64
Apr 26 14:41:13 INFO Upgraded: glibc-common-2.21-13.fc22.x86_64
Apr 26 14:41:22 INFO Upgraded: glibc-2.21-13.fc22.x86_64
Apr 26 14:41:23 INFO Upgraded: libstdc++-5.3.1-6.fc22.x86_64
Apr 26 14:41:23 INFO Upgraded: libquadmath-5.3.1-6.fc22.x86_64
Apr 26 14:41:24 INFO Upgraded: elfutils-libelf-0.166-1.fc22.x86_64
Apr 26 14:41:26 INFO Upgraded: libstdc++-devel-5.3.1-6.fc22.x86_64
Apr 26 14:41:57 INFO Upgraded: pcre-8.38-4.fc22.x86_64
Apr 26 14:41:57 INFO Installed: sqlite-libs-3.11.0-3.fc22.x86_64
Apr 26 14:41:58 INFO Installed: elfutils-default-yama-scope-0.166-1.fc22.noarch
Apr 26 14:41:58 INFO Upgraded: elfutils-libs-0.166-1.fc22.x86_64
Apr 26 14:41:58 INFO Upgraded: systemd-libs-219-27.fc22.x86_64
Apr 26 14:41:58 INFO Installed: qt-mobility-common-1.2.2-0.17.20140317git169da60c.fc22.x86_64
Apr 26 14:41:59 INFO Installed: nss-softokn-freebl-3.23.0-1.0.fc22.i686
Apr 26 14:42:00 INFO Installed: glibc-2.21-13.fc22.i686
Apr 26 14:42:01 INFO Installed: zlib-1.2.8-7.fc22.i686
Apr 26 14:42:01 INFO Installed: libgcc-5.3.1-6.fc22.i686
Apr 26 14:42:01 INFO Installed: qt-mobility-location-1.2.2-0.17.20140317git169da60c.fc22.x86_64
Apr 26 14:42:01 INFO Installed: qt-mobility-sensors-1.2.2-0.17.20140317git169da60c.fc22.x86_64
Apr 26 14:42:02 INFO Upgraded: libgfortran-5.3.1-6.fc22.x86_64
Apr 26 14:42:04 INFO Upgraded: cpp-5.3.1-6.fc22.x86_64
Apr 26 14:42:05 INFO Upgraded: libgomp-5.3.1-6.fc22.x86_64
Apr 26 14:42:05 INFO Upgraded: dbus-libs-1:1.8.20-1.fc22.x86_64
Apr 26 14:42:12 INFO Upgraded: systemd-219-27.fc22.x86_64
Apr 26 14:42:13 INFO Upgraded: dbus-1:1.8.20-1.fc22.x86_64
Apr 26 14:42:16 INFO Upgraded: glibc-headers-2.21-13.fc22.x86_64
Apr 26 14:42:17 INFO Upgraded: glibc-devel-2.21-13.fc22.x86_64
Apr 26 14:42:22 INFO Upgraded: gcc-5.3.1-6.fc22.x86_64
Apr 26 14:42:22 INFO Upgraded: libquadmath-devel-5.3.1-6.fc22.x86_64
Apr 26 14:42:24 INFO Upgraded: gcc-gfortran-5.3.1-6.fc22.x86_64
Apr 26 14:42:25 INFO Upgraded: gcc-c++-5.3.1-6.fc22.x86_64
Apr 26 14:42:26 INFO Upgraded: dbus-x11-1:1.8.20-1.fc22.x86_64
Apr 26 14:42:26 INFO Installed: python2-systemd-231-4.fc22.x86_64
Apr 26 14:42:26 INFO Installed: python3-systemd-231-4.fc22.x86_64
Apr 26 14:42:27 INFO Upgraded: systemd-compat-libs-219-27.fc22.x86_64
Apr 26 14:42:27 INFO Upgraded: libgudev1-219-27.fc22.x86_64
Apr 26 14:42:31 INFO Upgraded: elfutils-0.166-1.fc22.x86_64
Apr 26 14:42:31 INFO Upgraded: sqlite-3.11.0-3.fc22.x86_64
Apr 26 14:42:33 INFO Upgraded: pcre-devel-8.38-4.fc22.x86_64
Apr 26 14:42:33 INFO Upgraded: libstdc++-static-5.3.1-6.fc22.x86_64
Apr 26 14:42:33 INFO Upgraded: libtiff-4.0.3-21.fc22.x86_64
Apr 26 14:42:35 INFO Upgraded: mesa-libglapi-10.6.9-1.20151008.fc22.x86_64
Apr 26 14:42:35 INFO Upgraded: mesa-libgbm-10.6.9-1.20151008.fc22.x86_64
Apr 26 14:42:36 INFO Installed: libstdc++-5.3.1-6.fc22.i686
Apr 26 14:42:36 INFO Installed: libpng-2:1.6.16-3.fc22.i686
Apr 26 14:42:37 INFO Installed: libogg-2:1.3.2-2.fc22.i686
Apr 26 14:42:37 INFO Installed: expat-2.1.0-10.fc22.i686
Apr 26 14:42:37 INFO Installed: libjpeg-turbo-1.4.0-1.fc22.i686
Apr 26 14:42:38 INFO Installed: alsa-lib-1.0.29-1.fc22.i686
Apr 26 14:42:39 INFO Installed: libICE-1.0.9-2.fc22.i686
Apr 26 14:42:39 INFO Installed: xz-libs-5.2.0-2.fc22.i686
Apr 26 14:42:39 INFO Installed: libffi-3.1-7.fc22.i686
Apr 26 14:42:40 INFO Installed: libgpg-error-1.17-2.fc22.i686
Apr 26 14:42:40 INFO Installed: libgcrypt-1.6.3-4.fc22.i686
Apr 26 14:42:40 INFO Installed: libwayland-client-1.7.0-1.fc22.i686
Apr 26 14:42:40 INFO Installed: libwayland-server-1.7.0-1.fc22.i686
Apr 26 14:42:41 INFO Installed: libxml2-2.9.2-3.fc22.i686
Apr 26 14:42:41 INFO Installed: libvorbis-1:1.3.4-3.fc22.i686
Apr 26 14:42:42 INFO Installed: dbus-libs-1:1.8.20-1.fc22.i686
Apr 26 14:42:42 INFO Installed: bzip2-libs-1.0.6-14.fc22.i686
Apr 26 14:42:42 INFO Installed: freetype-2.5.5-1.fc22.i686
Apr 26 14:43:00 INFO Upgraded: fontconfig-2.11.94-4.fc22.x86_64
Apr 26 14:43:07 INFO Installed: fontconfig-2.11.94-4.fc22.i686
Apr 26 14:43:08 INFO Installed: sqlite-libs-3.11.0-3.fc22.i686
Apr 26 14:43:08 INFO Installed: libcom_err-1.42.12-4.fc22.i686
Apr 26 14:43:08 INFO Installed: keyutils-libs-1.5.9-4.fc22.i686
Apr 26 14:43:08 INFO Upgraded: krb5-libs-1.13.2-14.fc22.x86_64
Apr 26 14:43:10 INFO Installed: qtwebkit-2.3.4-6.fc22.x86_64
Apr 26 14:43:10 INFO Installed: libxslt-1.1.28-8.fc22.i686
Apr 26 14:43:10 INFO Installed: libtheora-1:1.1.1-12.fc22.i686
Apr 26 14:43:11 INFO Installed: flac-libs-1.3.1-1.fc22.i686
Apr 26 14:43:11 INFO Installed: clucene09-core-0.9.21b-13.fc22.i686
Apr 26 14:43:35 INFO Installed: pcre-8.38-4.fc22.i686
Apr 26 14:43:35 INFO Installed: libselinux-2.3-10.fc22.i686
Apr 26 14:43:37 INFO Installed: glib2-2.44.1-1.fc22.i686
Apr 26 14:43:38 INFO Installed: gstreamer1-1.4.5-1.fc22.i686
Apr 26 14:43:39 INFO Installed: mesa-libglapi-10.6.9-1.20151008.fc22.i686
Apr 26 14:43:40 INFO Installed: cdparanoia-libs-10.2-18.fc22.i686
Apr 26 14:43:44 INFO Installed: graphite2-1.2.4-3.fc22.i686
Apr 26 14:43:46 INFO Installed: harfbuzz-0.9.40-1.fc22.i686
Apr 26 14:43:46 INFO Installed: elfutils-libelf-0.166-1.fc22.i686
Apr 26 14:43:46 INFO Installed: elfutils-libs-0.166-1.fc22.i686
Apr 26 14:43:47 INFO Installed: cracklib-2.9.1-5.fc22.i686
Apr 26 14:43:48 INFO Installed: libvisual-1:0.4.0-17.fc22.i686
Apr 26 14:43:48 INFO Installed: orc-0.4.22-3.fc22.i686
Apr 26 14:43:48 INFO Installed: proj-4.8.0-7.fc22.i686
Apr 26 14:43:49 INFO Installed: pixman-0.32.6-4.fc22.i686
Apr 26 14:43:49 INFO Installed: json-c-0.12-5.fc22.i686
Apr 26 14:43:49 INFO Installed: libasyncns-0.8-8.fc22.i686
Apr 26 14:43:49 INFO Installed: tcp_wrappers-libs-7.6-80.fc22.i686
Apr 26 14:43:49 INFO Installed: lcms2-2.7-1.fc22.i686
Apr 26 14:43:50 INFO Installed: libmng-2.0.3-1.fc22.i686
Apr 26 14:43:50 INFO Installed: jbigkit-libs-2.1-3.fc22.i686
Apr 26 14:43:51 INFO Installed: libtiff-4.0.3-21.fc22.i686
Apr 26 14:43:51 INFO Installed: libattr-2.4.47-9.fc22.i686
Apr 26 14:43:52 INFO Installed: libcap-2.24-7.fc22.i686
Apr 26 14:43:52 INFO Installed: gsm-1.0.13-12.fc22.i686
Apr 26 14:43:52 INFO Installed: libsndfile-1.0.25-14.fc22.i686
Apr 26 14:43:52 INFO Installed: libuuid-2.26.2-1.fc22.i686
Apr 26 14:43:52 INFO Installed: libSM-1.2.2-2.fc22.i686
Apr 26 14:43:53 INFO Installed: libwebp-0.4.3-2.fc22.i686
Apr 26 14:43:53 INFO Installed: libXau-1.0.8-4.fc22.i686
Apr 26 14:43:53 INFO Installed: libxcb-1.11-8.fc22.i686
Apr 26 14:43:53 INFO Installed: libX11-1.6.3-1.fc22.i686
Apr 26 14:43:53 INFO Installed: libXext-1.3.3-2.fc22.i686
Apr 26 14:43:53 INFO Installed: libXrender-0.9.9-1.fc22.i686
Apr 26 14:43:54 INFO Installed: libXfixes-5.0.1-4.fc22.i686
Apr 26 14:43:54 INFO Installed: libXv-1.0.10-2.fc22.i686
Apr 26 14:43:54 INFO Installed: libXi-1.7.4-2.fc22.i686
Apr 26 14:43:54 INFO Installed: libXtst-1.2.2-4.fc22.i686
Apr 26 14:43:54 INFO Installed: libXcursor-1.1.14-4.fc22.i686
Apr 26 14:43:55 INFO Installed: libXdamage-1.1.4-6.fc22.i686
Apr 26 14:43:55 INFO Installed: libXrandr-1.4.2-2.fc22.i686
Apr 26 14:43:55 INFO Installed: libXft-2.3.2-2.fc22.i686
Apr 26 14:43:56 INFO Installed: libXScrnSaver-1.2.2-8.fc22.i686
Apr 26 14:43:56 INFO Installed: libXinerama-1.1.3-4.fc22.i686
Apr 26 14:43:56 INFO Installed: libXxf86vm-1.1.4-1.fc22.i686
Apr 26 14:43:57 INFO Installed: libpciaccess-0.13.3-0.3.fc22.i686
Apr 26 14:43:57 INFO Installed: libdrm-2.4.61-3.fc22.i686
Apr 26 14:43:57 INFO Installed: mesa-libgbm-10.6.9-1.20151008.fc22.i686
Apr 26 14:43:57 INFO Installed: mesa-libEGL-10.6.9-1.20151008.fc22.i686
Apr 26 14:43:57 INFO Installed: libxshmfence-1.2-1.fc22.i686
Apr 26 14:43:58 INFO Installed: mesa-libGL-10.6.9-1.20151008.fc22.i686
Apr 26 14:43:58 INFO Installed: cairo-1.14.2-1.fc22.i686
Apr 26 14:43:58 INFO Installed: libverto-0.2.6-4.fc22.i686
Apr 26 14:43:59 INFO Installed: krb5-libs-1.13.2-14.fc22.i686
Apr 26 14:44:00 INFO Installed: openssl-libs-1:1.0.1k-14.fc22.i686
Apr 26 14:44:01 INFO Installed: qt-1:4.8.6-30.fc22.i686
Apr 26 14:44:03 INFO Installed: qt-x11-1:4.8.6-30.fc22.i686
Apr 26 14:44:03 INFO Installed: qt-mobility-common-1.2.2-0.17.20140317git169da60c.fc22.i686
Apr 26 14:44:04 INFO Installed: qt-mobility-location-1.2.2-0.17.20140317git169da60c.fc22.i686
Apr 26 14:44:04 INFO Installed: qt-mobility-sensors-1.2.2-0.17.20140317git169da60c.fc22.i686
Apr 26 14:44:04 INFO Installed: audit-libs-2.4.2-1.fc22.i686
Apr 26 14:44:04 INFO Installed: libdb-5.3.28-12.fc22.i686
Apr 26 14:44:07 INFO Installed: pam-1.1.8-19.fc22.i686
Apr 26 14:44:07 INFO Installed: systemd-libs-219-27.fc22.i686
0

Fedora will never, and I mean never upgrade a 64 bit package to 32 bit. It's not possible. Due to Skype being a 32 bit application and packaged as such, it requires 32 bit dependencies. The problem here is that your system was not completely up to date before you installed the package. Your system is now damaged.

Also, according to the logs, glibc x86_64 was NOT replaced by i686. That would not happen. dnf, and traditionally yum would not let that happen and it would error out before it ever tried.

Apr 26 14:41:22 INFO Upgraded: glibc-2.21-13.fc22.x86_64
...
Apr 26 14:42:00 INFO Installed: glibc-2.21-13.fc22.i686

The best thing you can do now is backup any data you have on that machine and do a clean install. You do not want to spend time trying to pull files and libraries from other machines trying to fix your issue, or doing chroot dnf installs. Anyone in the IRC channels of #fedora and #fedora-devel will tell you the same thing.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.